Gimmix README
==============

Gimmix is a graphical Music player daemon (MPD) client written in C
using GTK+2.

Features:
=========
* Simple and Clean Interface.
* Library Browser.
* Library search. (search by artist, album, filename, etc)
* Playlist management (manage mpd playlists)
* ID3v2 tag editing support.
* Support for fetching Covers from Freecovers.net
* Support for fetching Lyrics from Leoslyrics.com
* System tray icon support.
* Support for controlling Gimmix through Keyboard.
* Notification support (Displays the currently playing song in systray).
* Small memory footprint.

Requirements:
=============
* gtk+ >= 2.8
* libmpd >= 0.17.0
* libglade-2.6.x
* taglib-1.4 (C bindings)

The lyrics/cover plugin(s) require the following two libraries:
* libnxml
* libcurl

Installation:
=============
Read the INSTALL file for details on installation procedure.

Configuration file:
Gimmix stores its configuration settings in ~/.gimmixrc
NOTE: The configuration file layout has changed in gimmix-0.3 and higher. Please
delete your ~/.gimmixrc (in case you are upgrading from a version prior to 0.3) before running gimmix.

Keybindings:
============
Gimmix keybindings are not yet configurable unless you manually edit the source.

'z'			-> Previous song
'x' / 'c'	-> Play/Pause (Toggle)
'v'			-> Stop
'b'			-> Next song
'i'			-> Song information
'r'			-> Toggle Repeat
's'			-> Toggle Shuffle
'l'			-> Toggle display Playlist

You can also adjust volume by scrolling your mouse wheel on the system tray icon.

Configuration file options:
===========================

Following is a list of valid configuration options for gimmix.
As from version 0.3, the new config file layout will be followed.

mpd_hostname = your_hostname
(default is localhost)

mpd_port = port_number
(default is 6600)

mpd_password = your_mpd_password
leave blank for no password

enable_systray = true or false
Enable/Disable the system tray icon. Enable is true, Disable is false.

enable_notification = true or false
Enable/Disable the notification tooltip. Enable is true, Disable is false.

music_directory = /foo/bar
The absolute path to the directory where your music is stored.
This is same as the one you specified in your mpd.conf. 
This setting is required for the tag editor to function properly.

Make sure your .gimmixrc has all these configuration values set.

Other optional configuration file options:
==========================================
proxy_enable = true or false
sets whether to use a proxy server to connect to the internet when
downloading lyrics and/or covers

proxy_host
the hostname/ip address of the proxy server

proxy_port
proxy server port

play_on_add = true or false
if true, songs will automatically be played when you add them to the playlist.
if false, songs will just be added to the playlist.
default value is false.

stop_on_exit = true or false
if true, gimmix will stop playing when user quits gimmix.
if false, gimmix will not stop playing when user quits gimmix.
default value is false.

enable_search = true or false
if true, search mode is enabled in library browser.
if false, search mode will be disabled.
default value is true.

update_on_startup = true or false
if true, gimmix will update the mpd database everytime on startup.
if false, gimmix won't update the mpd database on startup.
defalt value is false.

full_view_mode = true or false
if true, the playlist will be expanded by default when gimmix starts.
if false, gimmix will start in compact mode.
(This is automatically set by gimmix, so, its not necessary to set this value always)

window_xpos and window_ypos
x and y co-ordinates representing window position of gimmix.
(These values are automatically set, so, its not necessary to set these values)

window_width and window_height
these represt the window geometry of gimmix.
(These values are automatically set, so, its not necessary to set these
values)

coverart_enable = true or false
enable/disable amazon cover art plugin

coverart_location = com | co.uk | jp | fr | ca | de
amazon's server location to fetch covers from

Bugs:
=====
Report any bug(s) at the gimmix bug reports page at https://code.google.com/p/gimmix with a detailed description and steps to reproduce the bug. Also mention your version of gtk+2, libmpd etc.

Website:
========
http://gimmix.berlios.de/
http://code.google.com/p/gimmix/

Author:
=======
Priyank M. Gosalia (http://prianik.co.in/)

